FROM nginx:alpine

COPY nginx.conf /etc/nginx/conf.d/default.conf
COPY index.html /usr/share/nginx/html/index.html
COPY daylabor.html /usr/share/nginx/html/daylabor.html
COPY schedule.html /usr/share/nginx/html/schedule.html
COPY workreport.html /usr/share/nginx/html/workreport.html
COPY workreport-summary.html /usr/share/nginx/html/workreport-summary.html
COPY accounts.html /usr/share/nginx/html/accounts.html
COPY partner-portal.html /usr/share/nginx/html/partner-portal.html
COPY partner-history.html /usr/share/nginx/html/partner-history.html
COPY static/ /usr/share/nginx/html/static/

EXPOSE 80

CMD ["nginx", "-g", "daemon off;"]
